#{extends 'border.html'/}

<div class="container-fluid">

    <!--<div class="row">-->
        <!--<div class="col-md-12">-->
            <!--&lt;!&ndash; Breadcrumb &ndash;&gt;-->
            <!--<ol class="breadcrumb">-->
                <!--<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>-->
                <!--<li class="active">&{'daftar_laporan.label'}</li>-->
            <!--</ol>-->
            <!--&lt;!&ndash; End Breadcrumb &ndash;&gt;-->
        <!--</div>-->
    <!--</div>-->

    <div class="row">
        <div class="col-md-2 hidden-mobile">
        #{include 'pl/filter-laporan.html'/}
        </div>

        <div class="col-md-10">
            #{alert /}
            <h4>&{'daftar_laporan.label'}</h4>
            <div class="panel panel-default">
                <div class="panel-body hidden-mobile"  style="overflow-x:auto;">
                    <!-- Data Table -->
                    <table class="table table-striped" id="laporan">
                        <thead>
                        <tr>
                            <th>&{'tanggal.label'}</th>
                            <th>&{'produk.label'}</th>
                            <th>&{'laporan.label'}</th>
                            <th>&{'status.label'}</th>
                            <th></th>
                        </tr>
                        </thead>
                    </table>
                    <!-- End Data Table -->
                </div>
                <div class="panel-body only-mobile"  style="overflow-x:auto;">
                    <!-- Data Table -->
                    <table class="table table-striped" id="laporanmobile">
                        <thead>
                        <tr>
                            <th>&{'tanggal.label'}</th>
                            <th>&{'produk.label'}</th>
                            <th>&{'laporan.label'}</th>
                            <th>&{'status.label'}</th>
                            <th></th>
                        </tr>
                        </thead>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>
    <div class="btn-footer">
        <div class="row">
            <div class="col-xs-12">
                <a href="#" onclick="openDaftarLaporan()">Filter</a>
            </div>
        </div>
    </div>
    <div class="faq" id="mobile-sidebar">
        <div class="mobile-navigation-bar">
            <a href="#" onclick="closeSidebar()">
                <i class="fa fa-arrow-circle-left"></i> &{'laporan.label'}
            </a>
        </div>
        <div class="container-fluid">
            <div class="row">
                <div class="col-xs-12 col-sm-12">
                    #{include 'pl/filter-laporan.html'/}
                </div>
            </div>
        </div>
    </div>
</div>

#{closeReportModal /}

<style>
    #laporan tbody tr td{
        vertical-align: top!important;
    }
</style>
#{validationPackage/}
#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    $(document).ready(function() {
        $("#laporan").dataTable({
            "searching": false,
            ajax: {
                url:"@{controllers.katalog.LaporanDataTable.cariLaporan()}",
                data: function(d){
                    d["keyword"] = $(".hidden-mobile #keyword").val();
                    d["status"]= $(".hidden-mobile #status").val();
                    d["kategori"]= $(".hidden-mobile #kategori").val();
                    d["pengguna"] = $(".hidden-mobile #pengguna").val();
                    d["komoditas_id"] = $(".hidden-mobile #komoditas").val();
                },
                cache: true},
            order: [ 0, "desc" ],
            columns: [
                {"searchable": false },
                {"searchable": false, orderable : false },
                {"searchable": false, orderable : false },
                {"searchable": false, orderable : false },
                {"searchable": false, orderable: false }
            ]
        });

        $("#laporanmobile").dataTable({
            "searching": false,
            ajax: {
                url:"@{controllers.katalog.LaporanDataTable.cariLaporan()}",
                data: function(d){
                    d["keyword"] = $("#mobile-sidebar #keyword").val();
                    d["status"]= $("#mobile-sidebar #status").val();
                    d["kategori"]= $("#mobile-sidebar #kategori").val();
                    d["pengguna"] = $("#mobile-sidebar #pengguna").val();
                    d["komoditas_id"] = $("#mobile-sidebar #komoditas").val();
                },
                cache: true},
            order: [ 0, "desc" ],
            columns: [
                {"searchable": false },
                {"searchable": false, orderable : false },
                {"searchable": false, orderable : false },
                {"searchable": false, orderable : false },
                {"searchable": false, orderable: false }
            ]
        });

        $(".hidden-mobile #submitBtn").on("click", function(){
            $("#laporan").DataTable().order(JSON.parse($('#order').val())).draw();
        });
        $("#mobile-sidebar #submitBtn").on("click", function(){
            $("#laporanmobile").DataTable().order(JSON.parse($('#mobile-sidebar #order').val())).draw();
            closeSidebar();
        });

        $('.hidden-mobile #keyword').keypress(function(event){
            var keycode = event.keyCode || event.which;
            if(keycode == '13') {
                $('.hidden-mobile #submitBtn').click();
                closeSidebar();
                return false;
            }
            return;
        });

        $('#mobile-sidebar #keyword').keypress(function(event){
            var keycode = event.keyCode || event.which;
            if(keycode == '13') {
                $('#mobile-sidebar #submitBtn').click();
                return false;
            }
            return;
        });

        var currentId;
        jQuery(document).on('click', '.open-edit', function () {
            var view = jQuery(this);
            currentId =view.data('value');
            openModal();
        });

        function openModal() {
            jQuery('#close-report-modal').modal({
                backdrop: 'static',
                keyboard: false
            });
        }

        jQuery('.open-button-yes').click(function () {
            send();
        });

        function send(){
            jQuery.ajax({
                dataType: "json",
                url: "@{katalog.ProdukCtr.reportClose()}",
                method: "POST",
                data: {
                    id: currentId
                },
                success: function (result) {
                    showToast(result.message, result.isSuccess);
                    if (result.isSuccess) {
                        jQuery('#close-report-modal').modal('hide');
                    }
                    location.reload();
                },
                fail: function (e) {
                    showToast("Terjadi kesalahan", false);
                }
            });
        }

        function showToast(message, success) {
            jQuery.toast({
                heading: success ? 'Berhasil' : 'Oops',
                text: message,
                position: 'bottom-center',
                stack: false,
                icon: success ? 'success' : 'error',
                hideAfter: 6000
            })
        }

        $('.hidden-mobile #publish_date_from').datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY'
        });

        $('.hidden-mobile #publish_date_end').datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY'
        });

        $('#mobile-sidebar #publish_date_from').datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY'
        });

        $('#mobile-sidebar #publish_date_end').datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY'
        });

        $('.form').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });
    });
</script>
#{/set}

